@model LoginViewModel

<div class="login-page">
    <partial name="_ValidationSummary"/>

    <div class="row">

        @if (Model.EnableLocalLogin)
        {
            <!-- Form-->
            <div class="form">
                <div class="form-toggle"></div>
                <div class="form-panel one">
                    <div class="form-header">
                        <h5>Login to <a href="http://www.gametheatre.org/porifera/">Porifera</a></h5>
                        <div>Note to beta users: All beta accounts were deleted on 2022-12-04, if you were using an account older than that you will have to create it again</div>
                    </div>
                    <div class="form-content">
                        <form asp-route="Login">
                            <input type="hidden" asp-for="ReturnUrl"/>
                            <div class="form-group">
                                <label asp-for="Email">userName/email</label><input id="username" type="text" name="email" required="required"/>
                            </div>
                            <div class="form-group">
                                <label asp-for="Password">Password</label><input id="password" type="password" name="password" required="required"/>
                            </div>

                            @if (Model.AllowRememberLogin)
                            {
                                <div class="form-group" style="background: green;">
                                    <label class="form-remember" asp-for="RememberLogin">
                                        <input type="checkbox" asp-for="RememberLogin"/>Remember Me
                                    </label>
                                    <a class="form-recovery" href="~/Account/RecoverPassword?ReturnUrl=%2FAccount%2FLogin">
                                        Forgot Password?
                                    </a>
                                </div>
                            }

                            <div class="form-group">
                                <button name="button" value="login">Login</button>
                            </div>
                        </form>
                        <div class="form-group">
                            <br>
                            <a href="~/Account/Signup?ReturnUrl=@Model.ReturnUrlEscaped" class="simple-text-link">
                                Create new account
                            </a>
                        </div>
                    </div>
                </div>
                @*<div class="form-panel two">
                        <div class="form-header">
                                <h5>Register Account</h5>
                            </div>
                            <div class="form-content">
                                <form>
                                    <div class="form-group"><label for="username">Username</label><input id="usernameSignup" type="text" name="username" required="required" /></div>
                                    <div class="form-group"><label for="password">Password</label><input id="passwordSignup" type="password" name="password" required="required" /></div>
                                    <div class="form-group"><label for="cpassword">Confirm Password</label><input id="cpassword" type="password" name="cpassword" required="required" /></div>

                                    <div class="form-group"><button type="submit" value="signup">Register</button></div>
                                </form>
                            </div>
                    </div>*@
            </div>
        }

        @if (Model.VisibleExternalProviders.Any())
        {
            <div class="card">
                <div class="card-header">
                    <h2>External Account</h2>
                </div>
                <div class="card-body">
                    <ul class="list-inline">
                        @foreach (var provider in Model.VisibleExternalProviders)
                        {
                            <li class="list-inline-item">
                                <a class="btn btn-secondary"
                                   asp-controller="External"
                                   asp-action="Challenge"
                                   asp-route-scheme="@provider.AuthenticationScheme"
                                   asp-route-returnUrl="@Model.ReturnUrl">
                                    @provider.DisplayName
                                </a>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        }

        @if (!Model.EnableLocalLogin && !Model.VisibleExternalProviders.Any())
        {
            <div class="alert alert-warning">
                <strong>Invalid login request</strong>
                There are no login schemes configured for this request.
            </div>
        }

        @*@section scripts {
                <script type="text/javascript" src="~/js/form.js"></script>
            }*@
    </div>
</div>